# 项目相关配置
citygis:
  # 名称
  name: citygis
  # 版本
  version: 1.0
  # 版权年份
  copyrightYear: 2024
  # 默认，文件路径 示例（ Windows配置D:/citygis/uploadPath，Linux配置 /home/citygis/uploadPath）
  profile: D:/citygis/uploadPath
  #  window上传路径
  windows_profile: D:/citygis_liutongyi/file
  #  Linux上传路径
  linux_profile: /opt/citygis_liutongyi/file
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数字计算 char 字符验证
  captchaType: math

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 6661
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100

# 日志配置
logging:
  level:
    com.citygis: debug
    org.springframework: warn

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: druid
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  # redis 配置
  redis:
    # 地址
    host: localhost
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
    password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms
#  #接口不返回空字段
#  jackson:

#    default-property-inclusion: non_null
# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 30

# MyBatis配置
mybatis-plus:
  # 搜索指定包别名
  type-aliases-package: com.citygis.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapper-locations: classpath*:mapper/**/*Mapper.xml
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
#  global-config:
#    db-config:
#      table-prefix: LIU_TONG_YI.
#      schema: LIU_TONG_YI

# PageHelper分页插件
pagehelper:
  autoRuntimeDialect: true
  supportMethodsArguments: true
  params: count=countSql


# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

#catalog系统地址
catalog:
  url: http://localhost:5001

#kafka地址
kafka:
  ip: 127.0.0.1:9092

#jmx地址
jmx:
  jmxServiceUrl: service:jmx:rmi:///jndi/rmi://127.0.0.1:3010/jmxrmi

#周报
weekReport:
  #  模板路径
  templateFilePath: E:\Project\2024\2024 liutongyi\2024 liutongyi\liutongyi-admin\src\main\resources\templates\模版.xlsx
  #  周报生成路径
  filepath: C:\Users\Administrator\Desktop\疾控周报\

#单点登录配置
singleLogin:
  clientId:
  url:
  ssoRet: https://iam.scdc.sh.cegn.cn/esc-sso/oauth2.0/authorize?
  tokenUrl: https://iam.scdc.sh.cegn.cn/esc-sso/oauth2.0/accessToken
  userInfo: https://iam.scdc.sh.cegn.cn/esc-sso/oauth2.0/profile

#同步派拉用户
paiLaUserUrl:
  userUrl: http://paraview.paraesc.com/esc-idm/api/v1/org/list
  callbackUrl: http://paraview.paraesc.com/esc-idm/api/v1/org/callback
  key:

#疾控加密机
cipherMachine:
  #  token生成所需密码
  pwd: swxa@1234
  #  加密机获取Token地址
  generateTokenUrl: https://119.96.116.39:9011/pki/api/v6/pwd/generateToken
  #  加密机对称秘钥加密地址
  encryptDataUrl: https://119.96.116.39:9011/pki/api/v6/encrypt/internal/symmetric
  #  加密机对称秘钥解密地址
  decryptDataUrl: https://119.96.116.39:9011/pki/api/v6/decrypt/internal/symmetric
  #  Hmac运算
  hmacUrl: https://119.96.116.39:9011/pki/api/v6/hmac/internal/symmetric
  #  对称秘钥索引位，这里选择1号索引位
  keyIndex: 1
  #  填充模式: [PKCS7PADDING，NOPADDING]
  paddingType: PKCS7PADDING
  #  对称秘钥算法，这里选择 SGD_SM4_ECB
  algType: SGD_SM4_ECB
  #  iv向量(base64)，非ECB不能为空；分组长度【8或者16】,当前选择ECB，留空
  iv: ""
  #  hmacAlgType对称秘钥算法，这里选择 SGD_SM3
  hmacAlgType: SGD_SM3